AnsweredAssumed Answered

Rename selected spline

Question asked by Sigert Mevissen on Mar 8, 2019
Latest reply on Mar 11, 2019 by Fifi Riri

Is it possible to rename a certain spline to use select by ID later on in the macro? I am working with a intersection curve of an imported surface (from ScanTo3D) which means I have a unknown number of splines/points/lines. This makes it difficult to select something in a macro. So instead of for example

boolstatus = Part.Extension.SelectByID2("Spline508", "SKETCHSEGMENT", 0, 0, 0, False, 0, Nothing, 0)

I would like the spline to be named "contour1" or something like such:

boolstatus = Part.Extension.SelectByID2("contour1", "SKETCHSEGMENT", 0, 0, 0, False, 0, Nothing, 0)

 

Any suggestions? I could not find it anywhere.

Outcomes